[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#615831: [PATCH 2/2] Load modules for USB keyboard if no keyboard is present at panic



USB modules are not normally loaded at break=top time but since USB
keyboards are very common we should take the effort to try to load
extra kernel modules at break (=panic) time. This patch closes #615831
and has been adapted from comments mentioned in

https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/229732

and tested on a HP ProLiant MicroServer that lacks a PS2 port
completely.
---
 scripts/functions |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

diff --git a/scripts/functions b/scripts/functions
index 0a02f04..653581d 100644
--- a/scripts/functions
+++ b/scripts/functions
@@ -46,6 +46,12 @@ panic()
 	fi
 	modprobe -v i8042
 	modprobe -v atkbd
+	if ! grep "KBD port" /sys/class/input/input*/device/description >/dev/null 2>&1; then
+		modprobe -v ehci-hcd
+		modprobe -v uhci-hcd
+		modprobe -v ohci-hcd
+		modprobe -v usbhid
+	fi
 	REASON="$@" PS1='(initramfs) ' /bin/sh -i </dev/console >/dev/console 2>&1
 }
 
-- 
1.7.2.5




Reply to: